package org.dromara.ems.info.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 备件盘点记录明细对象 spare_parts_inventory_check
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class SparePartsInventoryCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 备件库存主表ID */
    private Long inventoryObjid;

    /** 盘点名称 */
    @ExcelProperty(value = "盘点名称")
    private String checkName;

    /** 盘点数量 */
    @ExcelProperty(value = "盘点数量")
    private Long checkQuantity;

    /** 盘点日期 */
    @ExcelProperty(value = "盘点日期")
    private String checkDate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInventoryObjid(Long inventoryObjid) 
    {
        this.inventoryObjid = inventoryObjid;
    }

    public Long getInventoryObjid() 
    {
        return inventoryObjid;
    }
    public void setCheckName(String checkName) 
    {
        this.checkName = checkName;
    }

    public String getCheckName() 
    {
        return checkName;
    }
    public void setCheckQuantity(Long checkQuantity) 
    {
        this.checkQuantity = checkQuantity;
    }

    public Long getCheckQuantity() 
    {
        return checkQuantity;
    }
    public void setCheckDate(String checkDate) 
    {
        this.checkDate = checkDate;
    }

    public String getCheckDate() 
    {
        return checkDate;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inventoryObjid", getInventoryObjid())
            .append("checkName", getCheckName())
            .append("checkQuantity", getCheckQuantity())
            .append("checkDate", getCheckDate())
            .append("createdAt", getCreatedAt())
            .toString();
    }
}
